Bug 2131018 (CVE-2022-2122) - CVE-2022-2122 gstreamer-plugins-good: Potential heap overwrite in mp4 demuxing using zlib decompression
Summary: CVE-2022-2122 gstreamer-plugins-good: Potential heap overwrite in mp4 demuxin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-2122
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2131019 2131020 2131062 2131063 2131064 2131065 2131066
Blocks: 2111231
TreeView+ depends on / blocked
 
Reported: 2022-09-29 17:22 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-05-09 16:55 UTC (History)
9 users (show)

Fixed In Version: gstreamer-plugins-good 1.20.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in GStreamer. An integer overflow can lead to a heap-based buffer overflow in the qt demuxer when processing a specially crafted QuickTime/MP4 file using zlib decompression. This vulnerability can result in application crash, memory corruption, and code execution.
Clone Of:
Environment:
Last Closed: 2023-05-09 16:55:18 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:2260 0 None None None 2023-05-09 07:23:39 UTC

Description Guilherme de Almeida Suckevicz 2022-09-29 17:22:20 UTC
DOS / potential heap overwrite in qtdemux using zlib decompression. Integer overflow in qtdemux element in qtdemux_inflate function which causes a segfault, or could cause a heap overwrite, depending on libc and OS. Depending on the libc used, and the underlying OS capabilities, it could be just a segfault or a heap overwrite.

References:
https://gstreamer.freedesktop.org/security/sa-2022-0003.html
https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1225

Comment 1 Guilherme de Almeida Suckevicz 2022-09-29 17:22:42 UTC
Created gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 2131019]


Created mingw-gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 2131020]

Comment 3 errata-xmlrpc 2023-05-09 07:23:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:2260 https://access.redhat.com/errata/RHSA-2023:2260

Comment 4 Product Security DevOps Team 2023-05-09 16:55:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-2122


Note You need to log in before you can comment on or make changes to this bug.